/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: InvalidCommandDataException.java,v 1.2 2005/07/11 04:08:41 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej.service;

import org.fossilec.odettej.OdetteFTPException;

/**
 * This exception is thrown when a command contains invalid data. A field within
 * the command may be wrong formatted or have unexpected data.
 * 
 * @author Rafael Marins
 */
public class InvalidCommandDataException extends OdetteFTPException {

	/**
	 * Serial Version UID.
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor with no detail message.
	 */
	public InvalidCommandDataException() {
		super();
	}

	/**
	 * Constructor with the specified detail message.
	 * 
	 * @param message
	 *            The detail message.
	 */
	public InvalidCommandDataException(String message) {
		super(message);
	}
}
