/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id$
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej;

import java.util.Calendar;
import java.util.Date;

import junit.framework.TestCase;

/**
 * @author Rafael Marins
 * 
 */
public class StringUtilTest extends TestCase {

	/**
	 * Test method used to parse date and time in String format from the
	 * protocol command.
	 */
	public void testParseCommandDateTime() {

		/**
		 * Testing Case: November 4th 2005 at 9:43:15 AM.
		 */
		String cDate = "051104";
		String cTime = "094315";
		Date evalDate = StringUtil.parseCommandDateTime(cDate, cTime);

		// See that Calendar MONTH values range is 0 to 11 (JANUARY to DECEMBER)
		Calendar cal = Calendar.getInstance();
		cal.set(05, 10, 4, 9, 43, 15);
		cal.set(Calendar.MILLISECOND, 0);
		Date rightDate = cal.getTime();

		assertEquals(rightDate, evalDate);
	}

}
