/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: CommandExchangeBufferTest.java,v 1.4 2005/08/15 16:45:39 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej.service;

import junit.framework.TestCase;

import org.fossilec.odettej.OdetteFTPException;

/**
 * 
 * @author Rafael Marins
 */
public class CommandExchangeBufferTest extends TestCase {

	public void testGetParameters() throws OdetteFTPException {
		CommandExchangeBuffer command = CommandExchangeBuffer.endFile(10, 1000);
		assertEquals(10, Integer.parseInt(command.getParameter("EFIDRCNT")));
		assertEquals(1000, Integer.parseInt(command.getParameter("EFIDUCNT")));
	}

	public void testeCreateSSID() throws OdetteFTPException {
		CommandExchangeBuffer command = CommandExchangeBuffer.startSession(
				"USERCODE", "PASSWORD", 1024, TransferMode.SENDER_ONLY, false,
				false, false, 64, "", "MYDATA");
	}
}
