/*
 *  $Id: DataExchangeBufferTest.java,v 1.2 2005/08/15 16:45:39 rmarins Exp $
 *
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.fossilec.odettej.service;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.ReadableByteChannel;

import junit.framework.TestCase;

/**
 * 
 * @author Rafael Marins
 * @version $Revision: 1.2 $ $Date: 2005/08/15 16:45:39 $
 */
public class DataExchangeBufferTest extends TestCase {

	public void testOneSubrecordBuffer() throws Exception {

		String data = "One Subrecord Testing";

		// create the Data Exchange Buffer
		ByteBuffer buffer = TestData
				.createRawDataExchangeBuffer(new String[] { data });
		DataExchangeBuffer deb = new DataExchangeBuffer(buffer);

		assertEquals(CommandIdentifier.DATA, deb.getIdentifier());
		assertEquals((data.length() + 2), deb.getLength());

		// // check subrecords
		// List subrecords = deb.getSubrecords();
		// assertEquals(1, subrecords.size());
		//
		// Subrecord sub1 = (Subrecord) subrecords.get(0);
		// ByteBuffer contents = ByteBuffer.wrap(data.getBytes("US-ASCII"));
		// assertEquals(contents, sub1.getData());
	}

	public static class SourceStream implements ReadableByteChannel {

		private static final int MAX_READINGS = 30;

		private boolean opened = true;

		private int count = 0;

		public SourceStream() {
			super();
		}

		public int read(ByteBuffer dst) throws IOException {
			if (count >= MAX_READINGS) {
				return 0;
			}

			while (dst.hasRemaining()) {
				dst.put((byte) 'A');
			}

			count++;
			return dst.capacity();
		}

		public boolean isOpen() {
			return opened;
		}

		public void close() throws IOException {
			opened = false;
		}

	}

	public void testReadingFromStream() throws Exception {

		// SourceStream source = new SourceStream();
		//
		// DataExchangeBuffer deb = DataExchangeBuffer.read(source, 128);
	}
}
